Subject: Re: bug#17713: First portion of `bt full`

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jun 2014 11:21:31 +0300

> From: Geoff Shannon <[email-masked]>
> Date: Fri, 6 Jun 2014 01:06:43 -0700
> Cc: [email-masked]
> 
> > Did you customize any GC-related options, like gc-cons-threshold?
> 
> I didn't personally, but I use emacs Prelude which does this:
> 
> (setq gc-cons-threshold 50000000)

That's 50MB!  The default is 400000 (400K).

> I'm guessing that's likely the cause of this?

Could well be.  It means Emacs invokes GC after it has created at
least 50MB worth of Lisp objects.  Wading through all of them and
finding those which can be discarded will indeed take a while.

I suggest you remove that customization.  The default is well tuned,
and you will hardly ever notice GC going on.